Last Comment Bug 36689 - Mac window title doesn't display characters which cannot be encoded as system script
: Mac window title doesn't display characters which cannot be encoded as system...
Status: VERIFIED WONTFIX
: helpwanted, intl, testcase
Product: Core
Classification: Components
Component: Internationalization (show other bugs)
: Trunk
: PowerPC Mac System 9.x
: P3 normal with 1 vote (vote)
: Future
Assigned To: Frank Tang
: Yuying Long
: Makoto Kato [:m_kato]
Mentors:
: 83685 141707 146083 (view as bug list)
Depends on:
Blocks: 104166 136556
  Show dependency treegraph
 
Reported: 2000-04-21 08:47 PDT by Charles Wang
Modified: 2002-10-24 11:09 PDT (History)
16 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Basic HTML document with Shift JIS-encoded TITLE and BODY text. (359 bytes, text/html)
2001-08-01 23:48 PDT, Greg K.
no flags Details

Description Charles Wang 2000-04-21 08:47:38 PDT
Build:2000-04-20-10-M16 comm build:

Mac Mail compose window title doesn't display Japanese characters.
Comment 1 nhottanscp 2000-04-21 10:04:37 PDT
Changed the title since this is a generic window title problem.
Reassign to trudelle.
Comment 2 Peter Trudelle 2000-04-26 19:19:38 PDT
reassigning to danm as p3 for M17. couldn't find dup.
Comment 3 Phil Peterson 2000-05-04 17:18:50 PDT
[nsbeta2-]
Comment 4 Dan M 2000-07-28 14:46:18 PDT
  Ugh. We're talking WDEF here, aren't we? Handily, I know a group that wants to 
be able to skin the entire window, including OS window borders, that's working on 
a WDEF. As icky as the idea of putting a WDEF into Mozilla is, we can probably 
piggyback off their work once they're ready for it. That's gonna be "later," 
though.
Comment 5 Teruko Kobayashi 2000-12-14 10:53:29 PST
Changed QA contact to ylong@netscape.com.
Comment 6 Teruko Kobayashi 2001-05-02 10:38:07 PDT
This is Mail&News.  Changed QA contact to ji@netscape.com.
Comment 7 Leif Halvard Silli 2001-05-30 05:06:24 PDT
This is *not* just Mail & News. It counts for all windows in Mozilla. So this
should be changed!

And it is not just japanese. On norwegian MacOS 9.1 it is only possible to have
ISO-8859-1 in title window. If you test e.g. a russian page (e.g. <URL
http://www.mn.ru/2001/21/23.html> ), no window title will be displayed at all.
(The title will still be displayed in the Bookmarks file.)
Comment 8 ji 2001-06-01 11:11:13 PDT
Yes, this is not only happening on Mail/News. It's a browser generic problem.
Changed the component to browser. QA contact to andreasb.
Comment 9 Jaime Rodriguez, Jr. 2001-06-01 11:50:49 PDT
hmmmmm . . . how bad is this? should it be considered for M0.9.2?
Comment 10 ji 2001-06-01 11:57:12 PDT
I think it depends on how many users are using US Mac users + language kits
For them, it's a very annoying problem, especially when the user has multiple 
windows open.
Comment 11 Leif Halvard Silli 2001-06-01 13:56:04 PDT
In my opinion users of western MacOS-es (not only US!) which are using
non-MacRoman scripts are very common. The language kits are included with the OS
since OS 8.5. It is just as important for mac users as anyone else to have this
working. And perhaps even *more* important because the MacOS has not been
translated to many languages the latest years. (E.g. OS X is not in cyrillic.)
Comment 12 Jaime Rodriguez, Jr. 2001-06-01 14:15:23 PDT
Cleaning up Status Whiteboard and Keywrods. Marking as nsCatFood.

Dan - Is this doable for M0.9.2?
Comment 13 Dan M 2001-06-04 11:09:59 PDT
No, dude. I spend most of my time fighting crash bugs. Realistically, I don't 
know that I'll *ever* be able to address this bug (and related PC version bug 
9449 -- yes that's four digits). Such attempts have been known to fail in the 
past, but I'll try reassigning it to internationalization.
Comment 14 nhottanscp 2001-06-05 11:17:32 PDT
*** Bug 83685 has been marked as a duplicate of this bug. ***
Comment 15 Frank Tang 2001-07-03 16:50:02 PDT
Change the subject from "Mac window title doesn't display non-ASCII characters 
when using US system." to "Mac window title doesn't display characters which 
cannot be encoded as system script"
Comment 16 Andreas Becker 2001-07-03 21:05:23 PDT
Changing qa contact to ylong.
Comment 17 Frank Tang 2001-07-11 16:07:42 PDT
mark it as assigned
Comment 18 Greg K. 2001-08-01 23:48:16 PDT
Created attachment 44349 [details]
Basic HTML document with Shift JIS-encoded TITLE and BODY text.
Comment 19 Greg K. 2001-08-01 23:50:00 PDT
Interestingly, bug 92503 refers to implementing this capability under Mac OS X,
and apparently there is a patch in hand on it in need of some testing.
Comment 20 Greg K. 2001-08-08 15:16:50 PDT
Reference also bug 74753 for this bug under Linux.
Comment 21 nhottanscp 2002-05-02 15:50:53 PDT
This seems to be working for MacOS X.
http://www.yomiuri.co.jp/ shows Japanese title even when my system language is
not set to Japanse.
Comment 22 nhottanscp 2002-05-02 15:51:08 PDT
*** Bug 141707 has been marked as a duplicate of this bug. ***
Comment 23 Greg K. 2002-05-05 15:25:40 PDT
nhotta, please see my Comment #19.
Comment 24 nhottanscp 2002-05-22 10:18:07 PDT
*** Bug 146083 has been marked as a duplicate of this bug. ***
Comment 25 Frank Tang 2002-08-12 23:04:36 PDT
mark this bug as fixed
If you can still reproduce this bug on Mac OS 8/9 but not mac os x, please
reopen it and change platform to mac os9.x
Comment 26 Matthew Paul Thomas 2002-08-13 06:14:17 PDT
Reproduced in build 2002081003, Mac OS 9.2.2, with attachment 44349 [details]. Reopening.
Comment 27 Michele Bugliaro 2002-09-17 13:01:32 PDT
It happens in Lycos Mail too, where accents are loaded as "?". Contacted them:
Hello,

Thank you for contacting Lycos Customer Support.

This sounds like a Netscape issue.  You may want to consult  technical 
support at Netscape to resolve the character encoding problem.

If there is anything else that I can do for you, please let me know.

Sincerely,

Veronica
Lycos Product Support Specialist
http://lycos.com



Original Message Follows:
-------------------------

Name: Michele Bugliaro
MemberName: michelebugliaro
Contact Email Address: michelebugliaro@lycos.com
Service: Lycos Mail
Browser & Platform = Mozilla/5.0 (Macintosh; U; PPC; en-US; rv:1.2a) 
Gecko/20020910
IP information = 62.202.95.69
Date/Time: 9/15/2002 11:29
Comments: 

In Mozilla (it's like Netscape 6), character encoding has a problem: I 
read/write some messages in Italian, but accents are not displayed 
correctly. I've to switch manually. The pop up address book has the same
problem...it identifies itself as US-ASCII, in stead of Western 
ISO-8859-1. 
Can you fix it?
Comment 28 Frank Tang 2002-10-24 10:40:02 PDT
Mac OS 9 only bug Mark it as WONTFIX now. I won't work on MacOS 9- issue from
now on. Anyone who want to take the bug is welcome to reopen if they want to
assign to themself. 
Comment 29 Yuying Long 2002-10-24 11:09:55 PDT
Mark as verified as wontfix per comment above.

Note You need to log in before you can comment on or make changes to this bug.